diff --git a/Hotfix/Game/Role/RoleManagerComponentSystem.cs b/Hotfix/Game/Role/RoleManagerComponentSystem.cs
new file mode 100644
index 0000000..9858365
--- /dev/null
+++ b/Hotfix/Game/Role/RoleManagerComponentSystem.cs
@@ -0,0 +1,49 @@
+﻿using Fantasy.Entitas.Interface;
+
+namespace NB;
+
+public sealed class RoleManagerComponentDestroySystem : DestroySystem<RoleManagerComponent>
+{
+    protected override void Destroy(RoleManagerComponent self)
+    {
+        foreach (var (_, role) in self.Roles)
+        {
+            role.Dispose();
+        }
+
+        self.Roles.Clear();
+    }
+}
+
+public static class RoleManagerComponentSystem
+{
+    public static void Add(this RoleManagerComponent self, Role account)
+    {
+        self.Roles.Add(account.Id, account);
+    }
+
+    public static Role Get(this RoleManagerComponent self, long accountId)
+    {
+        return self.Roles.GetValueOrDefault(accountId);
+    }
+
+    public static bool TryGet(this RoleManagerComponent self, long accountId, out Role account)
+    {
+        return self.Roles.TryGetValue(accountId, out account);
+    }
+
+    public static void Remove(this RoleManagerComponent self, long accountId, bool isDispose = true)
+    {
+        if (!self.Roles.Remove(accountId, out var account))
+        {
+            return;
+        }
+
+        if (!isDispose)
+        {
+            return;
+        }
+
+        account.Dispose();
+    }
+}
\ No newline at end of file
diff --git a/Hotfix/Outer/Gate/Handler/Outer/C2G_GetAccountInfoRequestHandler.cs b/Hotfix/Gate/Handler/Outer/C2G_GetAccountInfoRequestHandler.cs
similarity index 94%
rename from Hotfix/Outer/Gate/Handler/Outer/C2G_GetAccountInfoRequestHandler.cs
rename to Hotfix/Gate/Handler/Outer/C2G_GetAccountInfoRequestHandler.cs
index e04c32c..05decaf 100644
--- a/Hotfix/Outer/Gate/Handler/Outer/C2G_GetAccountInfoRequestHandler.cs
+++ b/Hotfix/Gate/Handler/Outer/C2G_GetAccountInfoRequestHandler.cs
@@ -19,7 +19,7 @@ public sealed class C2G_GetAccountInfoRequestHandler : MessageRPC<C2G_GetAccount
             return;
         }
 
-        Player account = gameAccountFlagComponent.Account;
+        Player account = gameAccountFlagComponent.Player;
 
         if (account == null)
         {
diff --git a/Hotfix/Outer/Gate/Handler/Outer/C2G_LoginRequestHandler.cs b/Hotfix/Gate/Handler/Outer/C2G_LoginRequestHandler.cs
similarity index 97%
rename from Hotfix/Outer/Gate/Handler/Outer/C2G_LoginRequestHandler.cs
rename to Hotfix/Gate/Handler/Outer/C2G_LoginRequestHandler.cs
index 5a23c41..459c91e 100644
--- a/Hotfix/Outer/Gate/Handler/Outer/C2G_LoginRequestHandler.cs
+++ b/Hotfix/Gate/Handler/Outer/C2G_LoginRequestHandler.cs
@@ -79,7 +79,7 @@ public sealed class C2G_LoginRequestHandler : MessageRPC<C2G_LoginRequest, G2C_L
 
                 var gameAccountFlagComponent = oldSession.GetComponent<PlayerFlagComponent>();
                 gameAccountFlagComponent.AccountID = 0;
-                gameAccountFlagComponent.Account = null;
+                gameAccountFlagComponent.Player = null;
                 // 给客户端发送一个重复登录的消息，如果当前客户端是自己上次登录的，发送也不会收到。
                 oldSession.Send(new G2C_RepeatLogin());
                 // 给当前Session做一个定时销毁的任务，因为不做这个定时销毁，直接销毁的话，有可能消息还没有发送过去就销毁了
@@ -90,10 +90,12 @@ public sealed class C2G_LoginRequestHandler : MessageRPC<C2G_LoginRequest, G2C_L
         // 给当前Session添加一个组件，当Session销毁的时候会销毁这个组件。
         var accountFlagComponent = session.AddComponent<PlayerFlagComponent>();
         accountFlagComponent.AccountID = accountId;
-        accountFlagComponent.Account = account;
+        accountFlagComponent.Player = account;
 
         account.SessionRunTimeId = session.RuntimeId;
         response.GameAccountInfo = account.GetGameAccountInfo();
         Log.Debug($"当前的Gate服务器:{session.Scene.SceneConfigId} accountId:{accountId}");
+        
+        //连接到游戏中心服
     }
 }
\ No newline at end of file
diff --git a/Hotfix/Outer/Gate/System/Player/PlayerFlagComponentSystem.cs b/Hotfix/Gate/System/Player/PlayerFlagComponentSystem.cs
similarity index 95%
rename from Hotfix/Outer/Gate/System/Player/PlayerFlagComponentSystem.cs
rename to Hotfix/Gate/System/Player/PlayerFlagComponentSystem.cs
index e6ada07..81f9028 100644
--- a/Hotfix/Outer/Gate/System/Player/PlayerFlagComponentSystem.cs
+++ b/Hotfix/Gate/System/Player/PlayerFlagComponentSystem.cs
@@ -14,6 +14,6 @@ public sealed class PlayerFlagComponentDestroySystem : DestroySystem<PlayerFlagC
             self.AccountID = 0;
         }
 
-        self.Account = null;
+        self.Player = null;
     }
 }
\ No newline at end of file
diff --git a/Hotfix/Outer/Gate/System/Player/PlayerHelper.cs b/Hotfix/Gate/System/Player/PlayerHelper.cs
similarity index 96%
rename from Hotfix/Outer/Gate/System/Player/PlayerHelper.cs
rename to Hotfix/Gate/System/Player/PlayerHelper.cs
index f49f19a..c9a4ce5 100644
--- a/Hotfix/Outer/Gate/System/Player/PlayerHelper.cs
+++ b/Hotfix/Gate/System/Player/PlayerHelper.cs
@@ -13,7 +13,7 @@ public static class PlayerHelper
     /// <param name="scene"></param>
     /// <param name="accountId">账号Id</param>
     /// <returns></returns>
-    public static async FTask<Player?> LoadDataBase(Scene scene, long accountId)
+    public static async FTask<Player> LoadDataBase(Scene scene, long accountId)
     {
         var account = await scene.World.DataBase.First<Player>(d => d.Id == accountId);
         if (account == null)
@@ -29,7 +29,7 @@ public static class PlayerHelper
     /// 保存账号到数据库中
     /// </summary>
     /// <param name="self"></param>
-    public static async FTask SaveDataBase(this Player self)
+    public static async FTask  SaveDataBase(this Player self)
     {
         await self.Scene.World.DataBase.Save(self);
     }
diff --git a/Hotfix/Hotfix.csproj b/Hotfix/Hotfix.csproj
index 5151c65..a86e143 100644
--- a/Hotfix/Hotfix.csproj
+++ b/Hotfix/Hotfix.csproj
@@ -12,8 +12,4 @@
       <ProjectReference Include="..\Fantasy\Fantasy.Net\Fantasy.Net\Fantasy.Net.csproj" />
     </ItemGroup>
 
-    <ItemGroup>
-      <Folder Include="Outer\Gate\" />
-    </ItemGroup>
-
 </Project>
diff --git a/Hotfix/OnSceneCreate_Init.cs b/Hotfix/OnSceneCreate_Init.cs
index 2315536..9b76ede 100644
--- a/Hotfix/OnSceneCreate_Init.cs
+++ b/Hotfix/OnSceneCreate_Init.cs
@@ -26,10 +26,16 @@ public class OnSceneCreate_Init : AsyncEventSystem<OnCreateScene>
             {
                 // 用于验证JWT是否合法的组件
                 scene.AddComponent<GateJWTComponent>();
-                // 用于管理GameAccount的组件
+                // 用于管理玩家的组件
                 scene.AddComponent<PlayerManageComponent>();
                 break;
             }
+            case SceneType.Game:
+            {
+                //游戏服用于管理用户的组件
+                scene.AddComponent<RoleManagerComponent>();
+                break;
+            }
         }
 
         await FTask.CompletedTask;
diff --git a/Tools/Exporter/NetworkProtocol/Run.bat b/Tools/Exporter/NetworkProtocol/Run.bat
new file mode 100644
index 0000000..fe41258
--- /dev/null
+++ b/Tools/Exporter/NetworkProtocol/Run.bat
@@ -0,0 +1,21 @@
+@echo off
+
+echo Please select an option:
+echo 1. Client
+echo 2. Server
+echo 3. All
+
+set /p choice=Please select an option:
+
+if "%choice%"=="1" (
+    echo Client
+    dotnet Fantasy.Tools.NetworkProtocol.dll --p 1
+) else if "%choice%"=="2" (
+    echo Server
+    dotnet Fantasy.Tools.NetworkProtocol.dll --p 2
+) else if "%choice%"=="3" (
+    echo All
+    dotnet Fantasy.Tools.NetworkProtocol.dll --p 3
+) else (
+    echo Invalid option
+)
\ No newline at end of file
diff --git a/Tools/Exporter/NetworkProtocol/Run.sh b/Tools/Exporter/NetworkProtocol/Run.sh
new file mode 100644
index 0000000..d5ed8b3
--- /dev/null
+++ b/Tools/Exporter/NetworkProtocol/Run.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+echo "1. Client"
+echo "2. Server"
+echo "3. All"
+
+read -n 1 -p "Please select an option:" choice
+echo ""
+echo ""
+script_dir=$(cd $(dirname $0) && pwd)
+case $choice in
+    1)
+        dotnet $script_dir/Fantasy.Tools.NetworkProtocol.dll --p 1 --f $script_dir
+        ;;
+    2)
+        dotnet $script_dir/Fantasy.Tools.NetworkProtocol.dll --p 2 --f $script_dir
+        ;;
+    3)
+        dotnet $script_dir/Fantasy.Tools.NetworkProtocol.dll --p 3 --f $script_dir
+        ;;
+    *)
+        echo "Invalid option"
+        ;;
+esac
diff --git a/Tools/NetworkProtocol/Run.bat b/Tools/NetworkProtocol/Run.bat
index e762f8d..fe41258 100644
--- a/Tools/NetworkProtocol/Run.bat
+++ b/Tools/NetworkProtocol/Run.bat
@@ -18,6 +18,4 @@ if "%choice%"=="1" (
     dotnet Fantasy.Tools.NetworkProtocol.dll --p 3
 ) else (
     echo Invalid option
-)
-
-PAUSE
\ No newline at end of file
+)
\ No newline at end of file
diff --git a/Tools/NetworkProtocol2/Run.bat b/Tools/NetworkProtocol2/Run.bat
new file mode 100644
index 0000000..e762f8d
--- /dev/null
+++ b/Tools/NetworkProtocol2/Run.bat
@@ -0,0 +1,23 @@
+@echo off
+
+echo Please select an option:
+echo 1. Client
+echo 2. Server
+echo 3. All
+
+set /p choice=Please select an option:
+
+if "%choice%"=="1" (
+    echo Client
+    dotnet Fantasy.Tools.NetworkProtocol.dll --p 1
+) else if "%choice%"=="2" (
+    echo Server
+    dotnet Fantasy.Tools.NetworkProtocol.dll --p 2
+) else if "%choice%"=="3" (
+    echo All
+    dotnet Fantasy.Tools.NetworkProtocol.dll --p 3
+) else (
+    echo Invalid option
+)
+
+PAUSE
\ No newline at end of file
diff --git a/Tools/NetworkProtocol2/Run.sh b/Tools/NetworkProtocol2/Run.sh
new file mode 100644
index 0000000..d5ed8b3
--- /dev/null
+++ b/Tools/NetworkProtocol2/Run.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+echo "1. Client"
+echo "2. Server"
+echo "3. All"
+
+read -n 1 -p "Please select an option:" choice
+echo ""
+echo ""
+script_dir=$(cd $(dirname $0) && pwd)
+case $choice in
+    1)
+        dotnet $script_dir/Fantasy.Tools.NetworkProtocol.dll --p 1 --f $script_dir
+        ;;
+    2)
+        dotnet $script_dir/Fantasy.Tools.NetworkProtocol.dll --p 2 --f $script_dir
+        ;;
+    3)
+        dotnet $script_dir/Fantasy.Tools.NetworkProtocol.dll --p 3 --f $script_dir
+        ;;
+    *)
+        echo "Invalid option"
+        ;;
+esac
diff --git a/Tools/SourceCode/Fantasy.Tools.ConfigTable/Fantasy.Tools.ConfigTable.csproj b/Tools/SourceCode/Fantasy.Tools.ConfigTable/Fantasy.Tools.ConfigTable.csproj
index 5ad4547..b58a43e 100644
--- a/Tools/SourceCode/Fantasy.Tools.ConfigTable/Fantasy.Tools.ConfigTable.csproj
+++ b/Tools/SourceCode/Fantasy.Tools.ConfigTable/Fantasy.Tools.ConfigTable.csproj
@@ -35,31 +35,31 @@
     </ItemGroup>
 
     <ItemGroup>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Pool\Normal\Pool.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Pool\Normal\Pool.cs">
           <Link>Core\Base\Pool.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Packages\Fantasy.ConfigTable\Net\Dictionary\IntDictionaryConfig.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Packages\Fantasy.ConfigTable\Net\Dictionary\IntDictionaryConfig.cs">
             <Link>Core\Dictionary\IntDictionaryConfig.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Packages\Fantasy.ConfigTable\Net\Dictionary\StringDictionaryConfig.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Packages\Fantasy.ConfigTable\Net\Dictionary\StringDictionaryConfig.cs">
             <Link>Core\Dictionary\StringDictionaryConfig.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Packages\Fantasy.ConfigTable\Net\Interface\IConfigTable.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Packages\Fantasy.ConfigTable\Net\Interface\IConfigTable.cs">
             <Link>Core\Interface\IConfigTable.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\ProtoBufPackHelper\IProto.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\ProtoBufPackHelper\IProto.cs">
             <Link>Core\Serialize\ProtoBufPackHelper\IProto.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\TimeHelper.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\TimeHelper.cs">
             <Link>Excel\Base\TimeHelper.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Pool\Interface\IPool.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Pool\Interface\IPool.cs">
             <Link>Excel\Base\IPool.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Assembly\AssemblyInfo.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Assembly\AssemblyInfo.cs">
             <Link>Excel\Base\AssemblyInfo.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\DataStructure\Collection\OneToManyListPool.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\DataStructure\Collection\OneToManyListPool.cs">
             <Link>Excel\Base\OneToManyList.cs</Link>
         </Compile>
       <Compile Include="..\Fantasy.Tools.NetworkProtocol\Core\Base\ConsoleLog.cs">
@@ -68,37 +68,37 @@
       <Compile Include="..\Fantasy.Tools.NetworkProtocol\Core\Base\ExportPlatform.cs">
         <Link>Core\ExportPlatform.cs</Link>
       </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\FileHelper.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\FileHelper.cs">
             <Link>Core\FileHelper.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\HashCodeHelper.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\HashCodeHelper.cs">
             <Link>Core\HashCodeHelper.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\JsonHelper.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Helper\JsonHelper.cs">
             <Link>Core\JsonHelper.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\BsonPack\BsonPackHelperNet.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\BsonPack\BsonPackHelperNet.cs">
             <Link>Core\Serialize\BsonPack\BsonPackHelperNet.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\BsonPack\StructBsonSerialize.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\BsonPack\StructBsonSerialize.cs">
             <Link>Core\Serialize\BsonPack\StructBsonSerialize.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\BsonPack\SupportInitializeChecker.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\BsonPack\SupportInitializeChecker.cs">
             <Link>Core\Serialize\BsonPack\SupportInitializeChecker.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\Interface\ASerialize.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\Interface\ASerialize.cs">
             <Link>Core\Serialize\Interface\ASerialize.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\Interface\ISerialize.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\Interface\ISerialize.cs">
             <Link>Core\Serialize\Interface\ISerialize.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\SerializerManager.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\SerializerManager.cs">
             <Link>Core\Serialize\SerializerManager.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\ProtoBufPackHelper\ProtoBufPackHelperNet.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\ProtoBufPackHelper\ProtoBufPackHelperNet.cs">
             <Link>Core\Serialize\ProtoBufPackHelper\ProtoBufPackHelperNet.cs</Link>
         </Compile>
-        <Compile Include="..\..\..\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\MemoryStreamBuffer.cs">
+        <Compile Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Runtime\Core\Serialize\MemoryStreamBuffer.cs">
             <Link>Excel\Base\MemoryStreamBuffer.cs</Link>
         </Compile>
     </ItemGroup>
@@ -115,9 +115,4 @@
       </None>
     </ItemGroup>
 
-    <ItemGroup>
-      <ProjectReference Include="..\..\..\Fantasy\Fantasy.Net\Fantasy.Net\Fantasy.Net.csproj" />
-      <ProjectReference Include="..\..\..\Fantasy\Fantasy.Packages\Fantasy.ConfigTable\Net\Fantasy.ConfigTable.csproj" />
-    </ItemGroup>
-
 </Project>
